INTEL_SET_PCH_FIFO_U(9)

NAME
intel_set_pch_fifo_underrun_reporting - set PCH fifo underrun reporting state

SYNOPSIS

bool intel_set_pch_fifo_underrun_reporting(struct drm_i915_private * dev_priv, enum transcoder pch_transcoder, bool enable);

ARGUMENTS

dev_priv
    i915 device instance

pch_transcoder
    the PCH transcoder (same as pipe on IVB and older)

enable
    whether underruns should be reported or not

DESCRIPTION

This function makes us disable or enable PCH fifo underruns for a specific PCH transcoder. Notice that on some PCHs (e.g. CPT/PPT), disabling FIFO underrun reporting for one transcoder may also disable all the other PCH error interruts for the other transcoders, due to the fact that there's just one interrupt mask/enable bit for all the transcoders.

Returns the previous state of underrun reporting.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT